package com.tistory.antop;

import java.util.HashSet;
import java.util.Set;

public class Person {

	private int seq;
	private String name;
	private String gender;
	// person n:m seminar
	private Set<Seminar> seminars = new HashSet<Seminar>();
	
	public Person() { }

	public int getSeq() {
		return seq;
	}

	@SuppressWarnings("unused")
	private void setSeq(int seq) {
		this.seq = seq;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public Set<Seminar> getSeminars() {
		return seminars;
	}

	@SuppressWarnings("unused")
	private void setSeminars(Set<Seminar> seminars) {
		this.seminars = seminars;
	}
	
	// 세미나 등록
	public void addSeminar(Seminar s) {
		this.seminars.add(s);
	}
	// 세미나 취소
	public void cancelSeminar(Seminar s) {
		this.seminars.remove(s);
	}
}