package com.tistory.antop;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class Seminar {

	private int sid;
	private String title;
	private Date sDate = new Date();
	private String area;
	// person n:m seminar
	private Set<Person> persons = new HashSet<Person>();
	
	public Seminar() { }

	public int getSid() {
		return sid;
	}

	@SuppressWarnings("unused")
	private void setSid(int sid) {
		this.sid = sid;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getsDate() {
		return sDate;
	}
	
	public String getsDateFormat() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		return sdf.format(this.sDate);
	}

	public void setsDate(Date sDate) {
		this.sDate = sDate;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	// 누가 이 세미나에 신청 했는지 알기위해 getter 만 public
	public Set<Person> getPersons() {
		return persons;
	}

	@SuppressWarnings("unused")
	private void setPersons(Set<Person> persons) {
		this.persons = persons;
	}
	
	// 사람(person)이 세미나 등록, 취소를 할 수 있다고 보고 세미나를 기준으로 등록 삭제는 없슴!
	
	
}
