package struts;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.RequestProcessor;

public class RequestProc extends RequestProcessor {

	/**
	* 모든 Action이 실행되기 전에 request와 response에 실행되어야 할 사항들을 실행한다.
	*/
	protected boolean processPreprocess(HttpServletRequest request,	HttpServletResponse response) {
		try {
			// HTTP 파라미터의 인코딩을 설정한다.
			request.setCharacterEncoding("utf-8");
		} catch (UnsupportedEncodingException e) {
			// do nothing;
		}
		
		return true;
	}
}
