package struts.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import struts.dao.DaoSeminar;
import struts.form.FormSeminar;
import struts.vo.VoSeminar;

public class ActionSeminar extends BaseAction {
	
	@Override
	public ActionForward performTask(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		FormSeminar f = (FormSeminar) form;
		
		DaoSeminar dao = new DaoSeminar();
		
		// 세미나 등록
		if("regist".equals(f.getQuery())) {
			dao.insertSeminar(f.getTitle(), f.getArea());
		}
		// 세미나 삭제
		if("delete".equals(f.getQuery())) {
			dao.deleteSeminar(f.getSid());
		}
		
		
		// 세미나 목록
		List<VoSeminar> seminarList = dao.getSeminarList();
		request.setAttribute("seminarList", seminarList);
		
		return mapping.findForward("seminar");
	}
	
}
