package struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

abstract public class BaseAction extends Action {
	
	protected Log log = LogFactory.getLog(getClass());
	
	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
	
		request.setCharacterEncoding("utf-8");
	
		log.debug("@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@") ;		
		log.debug("@ mapping.getName()          : "  +mapping.getName() );
		log.debug("@ form Info                           : "  +form.toString()   );
		log.debug("@ form Info                           : "  +form.getServletWrapper().toString()  );
										for ( int i =0 ; i <mapping.findForwards().length; i++ ) {
		log.debug("@ mapping.findForwards()   : "  +mapping.findForwards()[i]);
										}
		log.debug("@ mapping.toString()            :"  +mapping.toString());
		log.debug("@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@") ;
				
		return performTask(mapping, form, request, response);
	}
	
	public abstract ActionForward performTask(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)	throws Exception;
	
}
