<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>사람 관리</title>
<script type="text/javascript">
function checkAll(checkbox) {
	var chk1 = document.getElementsByName("selectPerson");
	var chk2 = document.getElementsByName("selectSeminar");

	if(chk1[0] == checkbox) {
		var size = chk1.length;
		for(var i=1 ; i < size ; i++) {
			chk1[i].checked = checkbox.checked;
		}
	}

	if(chk2[0] == checkbox) {
		var size = chk2.length;
		for(var i=1 ; i < size ; i++) {
			chk2[i].checked = checkbox.checked;
		}
	}

}
function validate(form) {
	var cnt = 0;

	// 사람 선택 검사
	var chk1 = document.getElementsByName("selectPerson");
	var size = chk1.length;
	for(var i=1 ; i < size ; i++) {
		if(chk1[i].checked == true) cnt++;
	}
	if(cnt == 0) {
		alert("사람을 선택하세요!");
		return false;
	}

	// 세미나 선택 검사
	cnt = 0;
	var chk2 = document.getElementsByName("selectSeminar");
	var size = chk2.length;
	for(var i=1 ; i < size ; i++) {
		if(chk2[i].checked == true) cnt++;
	}
	if(cnt == 0) {
		alert("세미나를 선택하세요!");
		return false;
	}

	return true;
}
</script>
</head>
<body style="line-height: 150%;">

<!-- 메뉴 -->
<div>
	<html:link action="/index">메인</html:link> |
	<html:link action="/person">사람 관리</html:link> |
	<html:link action="/seminar">세미나 관리</html:link>
</div>
<!-- // 메뉴 -->

<!-- 사람 등록 -->
<div>
	<h4>사람 등록</h4>

	<html:form action="/person" method="post">
	<html:hidden property="query" value="regist" />
	
	이름: <html:text property="regName" /> <html:errors property="name" /> <br />
	성별:
	<html:select property="regGender">
		<html:option value="">성별</html:option>
		<html:option value="남">남자</html:option>
		<html:option value="여">여자</html:option>
	</html:select>
	<html:errors property="gender" />
	<br /><br />
	
	<html:submit value="등록" /> 
	
	</html:form>
</div>
<!--// 사람 등록  -->

<hr />

<!-- 이벤트 등록 -->
<div>
	<h4>이벤트 등록</h4>
	
	<html:form action="/person" method="post" onsubmit="return validate(this)">
	<html:hidden property="query" value="add" />
		
	<!-- 사람 목록 -->
	<table width="600" cellpadding="5" cellspacing="0" border="1">
	<tr>
		<th><input type="checkbox" name="selectPerson" onclick="checkAll(this)" /></th>
		<th>이름</th>
		<th>성별</th>
		<th>등록수</th>
		<th>비고</th>
	</tr>
	
	<logic:notEmpty name="personList">
	<logic:iterate id="itm" name="personList" indexId="idx">
	<tr>
		<td align="center"><input type="checkbox" name="selectPerson" value="<bean:write name="itm" property="seq" />" /></td>
		<td><bean:write name="itm" property="name" /></td>
		<td><bean:write name="itm" property="gender" /></td>
		<td><bean:write name="itm" property="seminarCnt" /></td>
		<td>
			<html:link action="/person">
				<html:param name="query" value="delete" />
				<html:param name="seq">
					<bean:write name="itm" property="seq" />
				</html:param>
				삭제
			</html:link>
		</td>
	</tr>
	</logic:iterate>
	</logic:notEmpty>

	</table>
	<!--// 사람 목록 -->
	<br />
	<!-- 이벤트 목록 -->
	<table width="600" cellpadding="5" cellspacing="0" border="1">
	<tr>
		<th><input type="checkbox" name="selectSeminar" onclick="checkAll(this)" /></th>
		<th>세미나명</th>
		<th>날짜</th>
		<th>장소</th>
		<th>신청자수</th>
	</tr>
	
	<logic:notEmpty name="seminarList">
	<logic:iterate id="itm" name="seminarList" indexId="idx">
	<tr>
		<td align="center"><input type="checkbox" name="selectSeminar" value="<bean:write name="itm" property="sid" />" /></td>
		<td><bean:write name="itm" property="title" /></td>
		<td><bean:write name="itm" property="sDate" /></td>
		<td><bean:write name="itm" property="area" /></td>
		<td><bean:write name="itm" property="personCnt" /></td>
	</tr>
	</logic:iterate>
	</logic:notEmpty>
	
	</table>
	
	<br />
	
	<html:submit value="세미나 신청" />
	
	</html:form>
</div>
<!--// 이벤트 등록 -->

</body>
</html>