<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="html" uri="http://struts.apache.org/tags-html" %>
<%@ taglib prefix="bean" uri="http://struts.apache.org/tags-bean" %>
<%@ taglib prefix="logic" uri="http://struts.apache.org/tags-logic" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>세미나 관리</title>
</head>
<body style="line-height: 150%;">

<!-- 메뉴 -->
<div>
	<html:link action="/index">메인</html:link> |
	<html:link action="/person">사람 관리</html:link> |
	<html:link action="/seminar">세미나 관리</html:link>
</div>
<!-- // 메뉴 -->

<!-- 세미나 등록 -->
<div>
	<h4>세미나 등록</h4>
	
	<html:form action="/seminar" method="post">
	<html:hidden property="query" value="regist" />
	
	제목: <html:text property="title" /> <html:errors property="title" /> <br />
	장소: <html:text property="area" /> <html:errors property="area" />
	
	<br /><br />
	
	<html:submit value="등록" /> 
	
	</html:form>
	
</div>
<!--// 세미나 등록 -->

<hr />

<!-- 세미나 목록 -->
<div>
	<h4>세미나 목록</h4>

	<table width="600" cellpadding="5" cellspacing="0" border="1">
	<tr>
		<th>번호</th>
		<th>세미나명</th>
		<th>날짜</th>
		<th>장소</th>
		<th>참가자수</th>
		<th>비고</th>
	</tr>
	
	<logic:notEmpty name="seminarList">
	<logic:iterate id="itm" name="seminarList" indexId="idx" type="struts.vo.VoSeminar">
	<tr>
		<td><bean:write name="itm" property="sid" /></td>
		<td><bean:write name="itm" property="title" /></td>
		<td><bean:write name="itm" property="sDate" /></td>
		<td><bean:write name="itm" property="area" /></td>
		<td><bean:write name="itm" property="personCnt" /></td>
		<td>
			<html:link action="/seminar">
				<html:param name="query" value="delete" />
				<html:param name="sid">
					<bean:write name="itm" property="sid" />
				</html:param>
				삭제
			</html:link>
		</td>
	</tr>
	</logic:iterate>
	</logic:notEmpty>

	</table>
</div>
<!--// 세미나 목록 -->

</body>
</html>